Bug 848602 - [abrt] xxdiff-3.2-17.fc17: XxBuffer::renderTextWithTabs: Process /usr/bin/xxdiff was killed by signal 11 (SIGSEGV)
[abrt] xxdiff-3.2-17.fc17: XxBuffer::renderTextWithTabs: Process /usr/bin/xxd...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xxdiff (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Russell Cattelan
Fedora Extras Quality Assurance
abrt_hash:0daca12f65aa2f3d28c3f66dd40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 19:34 EDT by Alex
Modified: 2013-07-31 18:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.38 KB, text/plain)
2012-08-15 19:34 EDT, Alex
no flags Details
File: maps (15.66 KB, text/plain)
2012-08-15 19:34 EDT, Alex
no flags Details

  None (edit)
Description Alex 2012-08-15 19:34:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/xxdiff /home/aiace/Documenti/2012/Bauman_Collateral/redaz/2_correz.doc /media/3BC6-E61F/2012/Bauman_Collateral/redaz/2_correz.doc
comment:        in Krusader, confronting two files with same name and 'DOC' extensions but different sizes
crash_function: XxBuffer::renderTextWithTabs
executable:     /usr/bin/xxdiff
kernel:         3.5.1-1.fc17.x86_64
pid:            30130
pwd:            /home/aiace/Documenti/2012/Bauman_Collateral/redaz
remote_result:  NOTFOUND
time:           gio 16 ago 2012 00:47:59 CEST
uid:            1000
username:       aiace

backtrace:      Text file, 44426 bytes
maps:           Text file, 16034 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/aiace/2

core_backtrace:
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x54fad - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x553a9 - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x1d6fb - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x1d735 - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x31964 - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x31924 - [exe] -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x385aa4 QWidget::event(QEvent*) libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3018ad QApplication::internalNotify(QObject*, libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x301a0e QApplication::notify(QObject*, libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x302a63 QApplication::sendPostedEvents(QObject*, libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3842e6 QWidget::show() libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x38422c QWidget::showChildren(bool) libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3843bf QWidget::show() libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x38422c QWidget::showChildren(bool) libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3843bf QWidget::show() libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x38422c QWidget::showChildren(bool) libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3843bf QWidget::show() libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x38422c QWidget::showChildren(bool) libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x3843bf QWidget::show() libqt-mt.so.3 -
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f 0x42769d QMainWindow::show() libqt-mt.so.3 -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x27df1 - [exe] -
:b5122208d9930c06ad86ed3e1e669850e6a7bdd0 0x12a31 - [exe] -

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libXft.so.2.3.0 libXft-2.3.0-2.fc17.x86_64 (Fedora Project) 1337719249
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1340896678
:/usr/lib64/liblcms.so.1.0.19 lcms-libs-1.19-5.fc17.x86_64 (Fedora Project) 1337719201
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-7.fc17.x86_64 (Fedora Project) 1340896661
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libX11.so.6.3.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1340896782
:/usr/lib64/libnss_files-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/lib64/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.x86_64 (Fedora Project) 1340896658
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/bin/xxdiff xxdiff-3.2-17.fc17.x86_64 (Fedora Project) 1345036536
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1341179343
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.2-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719199
:/usr/lib64/libmng.so.1.0.0 libmng-1.0.10-6.fc17.x86_64 (Fedora Project) 1340899333
:/usr/lib64/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-3.fc17.x86_64 (Fedora Project) 1337719248
:/usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1341179343
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.1-1.fc17.x86_64 (Fedora Project) 1343418664
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8 qt3-3.3.8b-41.fc17.x86_64 (Fedora Project) 1345036533
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343418660
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libXi.so.6.1.0 libXi-1.6.1-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1341179346

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1334
:XDG_SESSION_ID=2
:HOSTNAME=Adel.Aiace
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/aiace/.gtkrc-2.0:/home/aiace/.gtkrc-2.0-kde4:/home/aiace/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/aiace/keyring-9i8omi
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=aiace
:SSH_AUTH_SOCK=/tmp/ssh-bbGcrHoT1201/agent.1201
:USERNAME=xyz
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/aiace/.local/bin:/home/aiace/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/aiace
:QT_IM_MODULE=xim
:PWD=/home/aiace
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1197
:LANG=it_IT.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=it_IT.utf8
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/aiace
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=aiace
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eBiMX63b27,guid=f43d7c8b6557dcaf49d93b5d000003dc
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/aiace
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/aiace/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-aiace/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1411,unix/unix:/tmp/.ICE-unix/1411
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/aiace/.gtkrc:/home/aiace/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:LANGUAGE=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63197                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63197                63197                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[2852968]
:pos:	0
:flags:	00
:1:/home/aiace/.xsession-errors
:pos:	5758754
:flags:	0102002
:2:/home/aiace/.xsession-errors
:pos:	5758754
:flags:	0102002
:3:socket:[2852973]
:pos:	0
:flags:	02004002
:4:socket:[2852264]
:pos:	0
:flags:	02000002
:5:pipe:[2852974]
:pos:	0
:flags:	02000000
:6:pipe:[2852974]
:pos:	0
:flags:	02000001
:7:pipe:[2852265]
:pos:	0
:flags:	00

smolt_data:
:
:
:Generale
:=================================
:UUID: ad6883d1-506e-4d34-a9a0-4297ae46f7cd
:OS: Fedora release 17 (Beefy Miracle)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 6831.02
:Venditore CPU: AuthenticAMD
:Modello CPU: AMD Phenom(tm) II X4 965 Processor
:CPU Stepping: 3
:Famiglia della CPU: 16
:Numero modello CPU: 4
:Numero di CPU: 4
:Velocità CPU: 3400
:Memoria di sistema: 7985
:Swap di sistema: 3999
:Venditore: System manufacturer
:Sistema: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(4098:17297:4163:33673) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38407:4163:33672) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4130:38409:4163:33672) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4318:3050:4163:33748) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4130:38400:4163:33672) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4130:38403:4163:33672) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, None, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33644) pci, snd_hda_intel, MULTIMEDIA, M4A785TD Motherboard
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:3556:4163:33748) pci, nvidia, VIDEO, N/A
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 12598961 10670832 10542854 3203072 2978518 2978518
:/dev/sda1 /boot ext4 4096 4096 251974 225578 212778 64000 63636 63636
:/dev/sda2 /home ext4 4096 4096 62995389 18203481 15003481 16007168 15966067 15966067
:/dev/sdb1 WITHHELD vfat 4096 4096 501040 32492 32492 0 0 0
:

var_log_messages:
:Aug 16 00:47:59 Adel kernel: [30178.769742] xxdiff[30130]: segfault at 7f7737b94000 ip 0000000000454fad sp 00007fff9a3e1870 error 4 in xxdiff[400000+a5000]
:Aug 16 00:48:00 Adel abrt[31374]: Saved core dump of pid 30130 (/usr/bin/xxdiff) to /var/spool/abrt/ccpp-2012-08-16-00:47:59-30130 (3493888 bytes)
Comment 1 Alex 2012-08-15 19:34:13 EDT
Created attachment 604710 [details]
File: backtrace
Comment 2 Alex 2012-08-15 19:34:15 EDT
Created attachment 604711 [details]
File: maps
Comment 3 Fedora End Of Life 2013-07-03 17:12:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 18:06:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.